summaryrefslogtreecommitdiff
path: root/source3
diff options
context:
space:
mode:
authorRafal Szczesniak <mimir@samba.org>2003-11-12 21:47:25 +0000
committerRafal Szczesniak <mimir@samba.org>2003-11-12 21:47:25 +0000
commita40625bc9dc82794c9c8ca40a6095046b95a245e (patch)
tree34bbcfc4db400a8493cae652797e3006b9d25f4b /source3
parent0f98e8ab83b474cba8696aed3abbb64d38f25b95 (diff)
downloadsamba-a40625bc9dc82794c9c8ca40a6095046b95a245e.tar.gz
samba-a40625bc9dc82794c9c8ca40a6095046b95a245e.tar.bz2
samba-a40625bc9dc82794c9c8ca40a6095046b95a245e.zip
> Omit html documentation tree because it has been moved to the separate
> module. Install though, in case one recreates the tree as it was before. > > > rafal Same as in SAMBA_3_0 source tree. rafal (This used to be commit af972c76158069efe3817a4e6dce4826d883edf1)
Diffstat (limited to 'source3')
-rwxr-xr-xsource3/script/installswat.sh15
1 files changed, 9 insertions, 6 deletions
diff --git a/source3/script/installswat.sh b/source3/script/installswat.sh
index be0cdf3eef..534c2d761f 100755
--- a/source3/script/installswat.sh
+++ b/source3/script/installswat.sh
@@ -64,12 +64,15 @@ done
# Install html documentation
-for f in $SRCDIR../docs/htmldocs/*.html; do
- FNAME=$SWATDIR/help/`basename $f`
- echo $FNAME
- cp $f $FNAME || echo Cannot install $FNAME. Does $USER have privileges?
- chmod 0644 $FNAME
-done
+if [ -d $SRCDIR../docs/htmldocs/ ]; then
+
+ for f in $SRCDIR../docs/htmldocs/*.html; do
+ FNAME=$SWATDIR/help/`basename $f`
+ echo $FNAME
+ cp $f $FNAME || echo Cannot install $FNAME. Does $USER have privileges?
+ chmod 0644 $FNAME
+ done
+fi
# Install Using Samba book (but only if it is there)